[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# BinaryToLazarusResourceCode

## Declaration

Source position: lresources.pp line 516

`procedure BinaryToLazarusResourceCode(`
`BinStream: TStream;`
`ResStream: TStream;`
`const ResourceName: string;`
`const ResourceType: string`
`);`

## Description

FPC is not optimized for building a constant string out of thousands of lines. It needs huge amounts of memory and becomes very slow. Therefore big files are split into several strings.